%define cmajor   2
%define clibname %mklibname %{name}-c %{cmajor}
%define devname  %mklibname %{name} -d

Name:           msgpack
Version:        6.1.0
Release:        %mkrel 1
Summary:        Binary-based efficient object serialization library
Group:          System/Libraries
License:        Boost
URL:            https://msgpack.org/
Source0:        https://github.com/msgpack/msgpack-c/releases/download/c-%{version}/%{name}-c-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  cmake(cJSON)
BuildRequires:  doxygen
# for %%check
BuildRequires:  pkgconfig(gtest)
BuildRequires:  pkgconfig(zlib)

%description
MessagePack is a binary-based efficient object serialization
library. It enables to exchange structured objects between many
languages like JSON. But unlike JSON, it is very fast and small.

#----------------------------------------------------------------------

%package -n     %{clibname}
Summary:        Binary-based efficient object serialization library
Group:          System/Libraries

%description -n %{clibname}
MessagePack is a binary-based efficient object serialization
library. It enables to exchange structured objects between many
languages like JSON. But unlike JSON, it is very fast and small.

This package contains the C version of MessagePack, lib%{name}c.

%files -n       %{clibname}
%license COPYING
%{_libdir}/lib%{name}-c.so.%{cmajor}{,.*}

#----------------------------------------------------------------------

%package -n     %{devname}
Summary:        Libraries and header files for %{name}
Group:          Development/C++
Requires:       %{clibname} = %{version}-%{release}

%description -n %{devname}
Libraries and header files for %{name} and %{name}c.

%files -n       %{devname}
%doc AUTHORS ChangeLog LICENSE_1_0.txt NOTICE README README.md
%license COPYING
%{_includedir}/%{name}/
%{_includedir}/%{name}.h
%{_libdir}/cmake/%{name}-c/
%{_libdir}/lib%{name}-c.so
%{_libdir}/pkgconfig/%{name}-c.pc

#----------------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}-c-%{version}

%build
%cmake -DMSGPACK_CXX17:BOOL=ON
%cmake_build

%check
# C library tests fail due to path issue
# https://github.com/msgpack/msgpack-c/issues/593
#make_build -C build test

%install
%cmake_install

find %{buildroot} -name '*.a' -delete


%changelog
* Sun Nov 03 2024 daviddavid <daviddavid> 6.1.0-1.mga10
+ Revision: 2112276
- new version: 6.1.0

* Fri Jun 28 2024 kekepower <kekepower> 6.0.2-1.mga10
+ Revision: 2077943
- Update to version 6.0.2

* Tue Apr 09 2024 daviddavid <daviddavid> 6.0.1-1.mga10
+ Revision: 2056102
- new version: 6.0.1

* Wed Sep 20 2023 daviddavid <daviddavid> 6.0.0-1.mga10
+ Revision: 1988844
- new version: 6.0.0 (now called msgpack-c)
+ wally <wally>
- build with cJSON and using C++17

* Tue Dec 06 2022 daviddavid <daviddavid> 3.3.0-2.mga9
+ Revision: 1918526
- compile with std=gnu++11
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Jun 05 2020 kekepower <kekepower> 3.3.0-1.mga8
+ Revision: 1590550
- Update to version 3.3.0

* Thu Feb 20 2020 umeabot <umeabot> 3.2.1-2.mga8
+ Revision: 1546432
- Mageia 8 Mass Rebuild

* Mon Feb 03 2020 daviddavid <daviddavid> 3.2.1-1.mga8
+ Revision: 1486508
- new version: 3.2.1
- use new cmake macros

* Thu Jul 04 2019 daviddavid <daviddavid> 3.2.0-1.mga8
+ Revision: 1418254
- new version: 3.2.0

* Sat Sep 15 2018 kekepower <kekepower> 3.1.1-1.mga7
+ Revision: 1259174
- Update to version 3.1.1

* Tue Aug 21 2018 kekepower <kekepower> 3.1.0-1.mga7
+ Revision: 1253332
- Update to version 3.1.0

* Wed Jun 13 2018 kekepower <kekepower> 3.0.1-1.mga7
+ Revision: 1236721
- Update to version 3.0.1

* Sat Aug 26 2017 akien <akien> 2.1.5-1.mga7
+ Revision: 1147992
- Version 2.1.5

* Mon Jul 17 2017 akien <akien> 2.1.3-1.mga7
+ Revision: 1124252
- Version 2.1.3

* Thu May 25 2017 akien <akien> 2.1.1-2.mga6
+ Revision: 1104632
- Delete static library
- Version 2.1.1
- C++ shared library removed, now a header-only library

* Thu Jan 14 2016 pterjan <pterjan> 1.3.0-2.mga6
+ Revision: 922936
- Add upstream patch fixing build when char is unsigned

* Mon Jan 11 2016 akien <akien> 1.3.0-1.mga6
+ Revision: 921867
- Version 1.3.0

* Fri Aug 28 2015 cjw <cjw> 1.1.0-2.mga6
+ Revision: 870734
- rebuild with gcc 5

* Mon Jun 22 2015 akien <akien> 1.1.0-1.mga6
+ Revision: 839340
- Version 1.1.0, soname major increase for libmsgpack

* Sat Dec 27 2014 akien <akien> 0.5.9-1.mga5
+ Revision: 806622
- imported package msgpack

